camel-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "William Tam (JIRA)" <j...@apache.org>
Subject [jira] Commented: (CAMEL-1092) core\src\main\java\org\apache\camel\util\ResolverUtil.java has dependency on OSGi Bundle class
Date Fri, 21 Nov 2008 05:51:05 GMT

    [ https://issues.apache.org/activemq/browse/CAMEL-1092?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=47545#action_47545
] 

William Tam commented on CAMEL-1092:
------------------------------------

Thanks Hadrian.   Good luck with the fix.   I believe we are actually talking about different
issues.    I guess mine isn't really an issue.  FYI,  my mystery has been solved.  It is the
org.apache.camel.spring.handler.CamelNamspaceHandler.init() method doing the trick.

> core\src\main\java\org\apache\camel\util\ResolverUtil.java has dependency on OSGi Bundle
class
> ----------------------------------------------------------------------------------------------
>
>                 Key: CAMEL-1092
>                 URL: https://issues.apache.org/activemq/browse/CAMEL-1092
>             Project: Apache Camel
>          Issue Type: Bug
>          Components: camel-core
>    Affects Versions: 1.5.1
>            Reporter: Seumas Soltysik
>            Assignee: Hadrian Zbarcea
>             Fix For: 1.5.1
>
>         Attachments: test.tar.gz
>
>
> When running a Camel router scenario, I am getting a ClassNotFoundError  for the OSGi
Bundle class from the ResolverUtil class. It seems like this code should be in the camel-osgi
bundle or perhaps should be more reflection based.

-- 
This message is automatically generated by JIRA.
-
You can reply to this email to add a comment to the issue online.


Mime
View raw message